
QGIS Application - Bug report #18232

SemiAutomaticClassificationPlugin

2018-02-26 05:37 PM - Norm Trowell

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Plugin Manager

Affected QGIS version:3.0.0 Regression?: No

Operating System: Linux Mint 18.3 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 26123

Description

Couldn't load plugin 'SemiAutomaticClassificationPlugin' due to an error when calling its classFactory() method

AttributeError: type object 'QgsMessageBar' has no attribute 'INFO' 

Traceback (most recent call last):

  File

"/home/norman/.local/share/QGIS/QGIS3/profiles/default/python/plugins/SemiAutomaticClassificationPlugin/semiautomaticclassificationplugin.

lugin.py", line 210, in init

    cfg.statdistrSCP = statdistr

NameError: name 'statdistr' is not defined

During handling of the above exception, another exception occurred:

Traceback (most recent call last):

  File "/usr/lib/python3/dist-packages/qgis/utils.py", line 336, in startPlugin

    plugins[packageName] = package.classFactory(iface)

  File "/home/norman/.local/share/QGIS/QGIS3/profiles/default/python/plugins/SemiAutomaticClassificationPlugin/__init__.py", line 66, in

classFactory

    return SemiAutomaticClassificationPlugin(iface)

  File

"/home/norman/.local/share/QGIS/QGIS3/profiles/default/python/plugins/SemiAutomaticClassificationPlugin/semiautomaticclassificationplugin.

lugin.py", line 222, in init

    qgisUtils.iface.messageBar().pushMessage("Semi-Automatic Classification Plugin",

QApplication.translate("semiautomaticclassificationplugin", "Please, restart QGIS for executing the Semi-Automatic Classification

Plugin"), level=qgisGui.QgsMessageBar.INFO)

AttributeError: type object 'QgsMessageBar' has no attribute 'INFO'

Python version: 3.5.2 (default, Nov 23 2017, 16:37:01) [GCC 5.4.0 20160609] 

QGIS version: 3.0.0-Girona Girona, 0def61c

Python Path:

/usr/share/qgis/python

/home/norman/.local/share/QGIS/QGIS3/profiles/default/python

/home/norman/.local/share/QGIS/QGIS3/profiles/default/python/plugins

/usr/share/qgis/python/plugins

/usr/lib/python35.zip

/usr/lib/python3.5

/usr/lib/python3.5/plat-x86_64-linux-gnu

/usr/lib/python3.5/lib-dynload

/usr/local/lib/python3.5/dist-packages
/usr/lib/python3/dist-packages

/home/norman/.local/share/QGIS/QGIS3/profiles/default/python

History

#1 - 2018-02-26 05:42 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

Issues about 3rd party plugins must be reported to plugins authors.

#2 - 2018-02-26 08:42 PM - Borys Jurgiel

Btw. AFAIR this particular bug was already fixed, so please just upgrade SemiAutomaticClassificationPlugin ;)
